Subject: Re: bug#11208: 23.4; shell-command-on-region does not {de,en}code as documented
From: Eli Zaretskii <[email-masked]>
To: Gustav Hållberg <[email-masked]>
Cc: [email-masked]
Date: Mon, 09 Apr 2012 19:58:50 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 9 Apr 2012 13:09:07 +0200
> From: Gustav Hållberg <[email-masked]>
> 
> shell-command-on-region (M-|) does not do the {de,en}coding of I/O to the
> process as documented.
> 
> It says (if I read it correctly) that it will use buffer-file-coding-system
> (at least unless coding-system-for-{read,write} are set) for output to and
> input from (if doing substitution with a prefix argument) the process.
> 
> However, it "just" calls call-process-region which will use
> default-process-coding-system rather than buffer-file-coding-system.

Thanks, I made the doc string match the implementation.

The fix is committed as revision 107794 on the emacs-24 branch, and
will be in Emacs 24.1.